> For the complete documentation index, see [llms.txt](https://developer.topazlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.topazlabs.com/reference/api-endpoints/video/get-request-history.md).

# Get Request History

This section allows you to get your video request history

## Get My Request History

> This endpoint will return your processing history.<br>

```json
{"openapi":"3.0.3","info":{"title":"Video API","version":"1.0.0"},"tags":[{"name":"Get Request History","description":"This section allows you to get your video request history\n"}],"servers":[{"url":"https://api.topazlabs.com","description":"Production API base URL"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"HistoryResponse":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique request identifier"},"userId":{"type":"number"},"status":{"type":"string","enum":["requested","accepted","initializing","preprocessing","processing","postprocessing","complete","canceling","canceled","failed"]},"ts":{"type":"object","description":"Timestamp the request reached the state, if applicable, in milliseconds since UTC epoch","properties":{"requested":{"type":"number","description":"Request created"},"accepted":{"type":"number","description":"User has accepted the costs and began uploading the source video"},"initializing":{"type":"number","description":"System received the source video and began initializing resources"},"preprocessing":{"type":"number"},"processing":{"type":"number"},"postprocessing":{"type":"number"},"complete":{"type":"number"},"canceling":{"type":"number"},"canceled":{"type":"number"},"failed":{"type":"number"}}},"lastEventTs":{"type":"number","description":"Timestamp of the last event, in milliseconds since UTC epoch"},"estimates":{"$ref":"#/components/schemas/RequestEstimates"},"transactions":{"type":"array","items":{"type":"object","properties":{"operation":{"type":"string","enum":["reserve","commit","rollback"]},"amount":{"type":"number","description":"Amount involved in the transaction, in credits"}}}},"error":{"type":"object","description":"Error message, if the request was a failure","properties":{"message":{"type":"string"}}}}},"RequestEstimates":{"type":"object","description":"Lower and upper bound estimates","properties":{"cost":{"type":"array","description":"In credits","items":{"type":"integer"}},"time":{"type":"array","description":"In seconds, assuming an empty queue, starting from the time the source video has been received","items":{"type":"integer"}}}}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"InternalServerError":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}}},"paths":{"/video/history":{"get":{"tags":["Get Request History"],"summary":"Get My Request History","operationId":"GetHistory","description":"This endpoint will return your processing history.\n","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"$ref":"#/components/schemas/HistoryResponse"}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.topazlabs.com/reference/api-endpoints/video/get-request-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
